SourceDataBinding (Apache CXF JavaDoc 4.1.6 API)
Description: declaration: package: org.apache.cxf.databinding.source, class: SourceDataBinding

Package org.apache.cxf.databinding.source

# Class SourceDataBinding

java.lang.Object
org.apache.cxf.databinding.AbstractDataBinding
org.apache.cxf.databinding.source.SourceDataBinding

All Implemented Interfaces:
  `DataBinding`

public class SourceDataBinding extends AbstractDataBinding
A simple databinding implementation which reads and writes Source objects.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NOT_USE_MSV_SCHEMA_VALIDATOR`
  `static final String`
  `PREFERRED_FORMAT`

  ### Fields inherited from class org.apache.cxf.databinding.AbstractDataBinding

  `mtomEnabled, mtomThreshold`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SourceDataBinding()`
  `SourceDataBinding(Class<?> pref)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> DataReader<T>`
  `createReader(Class<T> cls)`
  `<T> DataWriter<T>`
  `createWriter(Class<T> cls)`
  `Class<?>[]`
  `getSupportedReaderFormats()`
  `Class<?>[]`
  `getSupportedWriterFormats()`
  `void`
  `initialize(Service service)`
  Initialize the service info (i.e. type & element names, Schemas) with information from the databinding.

  ### Methods inherited from class org.apache.cxf.databinding.AbstractDataBinding

  `addSchemaDocument, addSchemaDocument, checkNamespaceMap, getBus, getContextualNamespaceMap, getDeclaredNamespaceMappings, getMtomThreshold, getNamespaceMap, getSchemas, isMtomEnabled, setBus, setContextualNamespaceMap, setMtomEnabled, setMtomThreshold, setNamespaceMap, setSchemas, updateSchemaLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PREFERRED_FORMAT

    public static final String PREFERRED_FORMAT
    See Also:
      - Constant Field Values

  - ### NOT_USE_MSV_SCHEMA_VALIDATOR

    public static final String NOT_USE_MSV_SCHEMA_VALIDATOR
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SourceDataBinding

    public SourceDataBinding()

  - ### SourceDataBinding

    public SourceDataBinding(Class<?> pref)

- ## Method Details

  - ### initialize

    public void initialize(Service service)
    Description copied from interface: `DataBinding`
    Initialize the service info (i.e. type & element names, Schemas) with information from the databinding.

  - ### createReader

    public <T> DataReader<T> createReader(Class<T> cls)

  - ### getSupportedReaderFormats

    public Class<?>[] getSupportedReaderFormats()

  - ### createWriter

    public <T> DataWriter<T> createWriter(Class<T> cls)

  - ### getSupportedWriterFormats

    public Class<?>[] getSupportedWriterFormats()